Bug 1271026 - glfw-3.2.1 is available
glfw-3.2.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glfw (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: MERCIER Jonathan
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 20:17 EDT by Upstream Release Monitoring
Modified: 2017-02-14 19:19 EST (History)
4 users (show)

See Also:
Fixed In Version: glfw-3.2.1-2.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-14 19:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.16 KB, patch)
2016-06-02 20:21 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.21 KB, patch)
2016-08-27 01:46 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (14.99 KB, patch)
2016-10-08 17:17 EDT, Upstream Release Monitoring
no flags Details | Diff
Updated glfw.spec and source from fedora pkgs rpm/glfw repo (1.62 KB, application/mbox)
2016-11-24 06:18 EST, Marcel Metz
no flags Details

  None (edit)
Description Upstream Release Monitoring 2015-10-12 20:17:56 EDT
Latest upstream release: 3.1.2.bin.WIN64
Current version/release in rawhide: 3.1.1-2.fc23
URL: http://sourceforge.net/projects/glfw

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-12 20:18:12 EDT
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-DahhRk/glfw.spec
return code:  22
stdout:
Getting http://sourceforge.net/projects/glfw/files/glfw/3.1.2.bin.WIN64/glfw-3.1.2.bin.WIN64.tar.bz2 to ./glfw-3.1.2.bin.WIN64.tar.bz2

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 2 Pablo Rodríguez 2015-12-20 13:54:43 EST
Would it be possible that glfw would be updated in koji?

It seems that it has been updated with many bugfixes:

   This release adds fixes for a large number of bugs that together
   affect all supported platforms, as well as dynamic loading work
   that simplifies compilation and linking.

BTW, it also seems that they moved to GitHub.

Many thanks for your help,

Pablo
Comment 3 Upstream Release Monitoring 2016-06-02 20:21:15 EDT
Latest upstream release: 3.2.bin.WIN64
Current version/release in rawhide: 3.1.1-3.fc24
URL: http://sourceforge.net/projects/glfw

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1180/
Comment 4 Upstream Release Monitoring 2016-06-02 20:21:47 EDT
Patching or scratch build for glfw-3.1.1 failed.
Comment 5 Upstream Release Monitoring 2016-06-02 20:21:48 EDT
Created attachment 1164293 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 6 Upstream Release Monitoring 2016-06-02 20:21:50 EDT
Patches were not touched. All were applied properly
Comment 7 Upstream Release Monitoring 2016-08-27 01:46:08 EDT
Latest upstream release: 3.2.1.bin.WIN64
Current version/release in rawhide: 3.1.1-3.fc24
URL: http://sourceforge.net/projects/glfw

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1180/
Comment 8 Upstream Release Monitoring 2016-08-27 01:46:44 EDT
Patching or scratch build for glfw-3.1.1 failed.
Comment 9 Upstream Release Monitoring 2016-08-27 01:46:46 EDT
Created attachment 1194608 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 10 Upstream Release Monitoring 2016-08-27 01:46:48 EDT
Patches were not touched. All were applied properly
Comment 11 Upstream Release Monitoring 2016-10-08 17:16:11 EDT
Latest upstream release: 3.2.1
Current version/release in rawhide: 3.1.1-3.fc24
URL: http://www.glfw.org

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1180/
Comment 12 Upstream Release Monitoring 2016-10-08 17:17:06 EDT
Patching or scratch build for glfw-3.1.1 failed.
Comment 13 Upstream Release Monitoring 2016-10-08 17:17:08 EDT
Created attachment 1208430 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 14 Upstream Release Monitoring 2016-10-08 17:17:10 EDT
Patches were not touched. All were applied properly
Comment 15 Marcel Metz 2016-11-24 06:18 EST
Created attachment 1223766 [details]
Updated glfw.spec and source from fedora pkgs rpm/glfw repo

I attached a patch that updates the glfw.spec and sources files.  With the patch proper glfw-3.2.1 packages are created.
Comment 16 Upstream Release Monitoring 2017-01-29 02:57:41 EST
slaanesh's glfw-3.2.1-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=836886
Comment 17 Fedora Update System 2017-01-29 03:05:03 EST
glfw-3.2.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-94691939a7
Comment 18 Fedora Update System 2017-01-29 17:49:05 EST
glfw-3.2.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-94691939a7
Comment 19 Upstream Release Monitoring 2017-02-10 20:16:53 EST
releng's glfw-3.2.1-3.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=843566
Comment 20 Fedora Update System 2017-02-14 19:19:55 EST
glfw-3.2.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.